com.google.cloud.dataflow.sdk.runners.inprocess

## Class InProcessRegistrar

- java.lang.Object
- - com.google.cloud.dataflow.sdk.runners.inprocess.InProcessRegistrar

    public class InProcessRegistrar
    extends Object

Contains the `PipelineRunnerRegistrar` and `PipelineOptionsRegistrar` for the `InProcessPipelineRunner`.

### Nested Class Summary

Nested Classes
`static class` `InProcessRegistrar.InProcessOptions` Registers the `InProcessPipelineOptions`.
`static class` `InProcessRegistrar.InProcessRunner` Registers the `InProcessPipelineRunner`.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`